// Code generated by mockery v2.10.4. DO NOT EDIT.

package mocks

import (
	mock "github.com/stretchr/testify/mock"
	dao "gitlab.informatika.org/rahmahkn/if3250_2022_03_ensiklo/internal/app/model/dao"
)

// MemberRepo is an autogenerated mock type for the MemberRepo type
type MemberRepo struct {
	mock.Mock
}

// BulkAddMember provides a mock function with given fields: members
func (_m *MemberRepo) BulkAddMember(members []dao.Member) ([]dao.Member, error) {
	ret := _m.Called(members)

	var r0 []dao.Member
	if rf, ok := ret.Get(0).(func([]dao.Member) []dao.Member); ok {
		r0 = rf(members)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).([]dao.Member)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func([]dao.Member) error); ok {
		r1 = rf(members)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// DeleteByBookId provides a mock function with given fields: bookId
func (_m *MemberRepo) DeleteByBookId(bookId []uint) {
	_m.Called(bookId)
}
